Index: src/util/imgdims.c
===================================================================
--- src/util/imgdims.c	(revision 54124)
+++ src/util/imgdims.c	(working copy)
@@ -71,7 +71,7 @@
 {
     char *ep;
     struct assoc {
-	char *ext;
+	const char *ext;
 	int size;
     }			*ap;
     static struct assoc a_tbl[] = {
Index: src/util/png-bw.c
===================================================================
--- src/util/png-bw.c	(revision 54124)
+++ src/util/png-bw.c	(working copy)
@@ -39,7 +39,7 @@
 static png_color_16 def_backgrd={ 0, 0, 0, 0, 0 };
 static int verbose=0;
 
-static char *usage="Usage:\n\t%s [-v] [-ntsc -crt -R[#] -G[#] -B[#]] [png_input_file] > bw_output_file\n";
+static const char *usage="Usage:\n\t%s [-v] [-ntsc -crt -R[#] -G[#] -B[#]] [png_input_file] > bw_output_file\n";
 
 int
 main(int argc, char **argv)
Index: src/util/azel.c
===================================================================
--- src/util/azel.c	(revision 54124)
+++ src/util/azel.c	(working copy)
@@ -72,7 +72,7 @@
 
 /* ======================================================================== */
 void
-GetCoord (FILE *Whence, double *Coord, char Label, int LineNm, char *FileName)
+GetCoord (FILE *Whence, double *Coord, char Label, int LineNm, const char *FileName)
 
     /* File from which to read */
     /* Where to store coordinate */
@@ -106,8 +106,8 @@
 int
 main (int argc, char **argv)
 {
-    char *inFname = "stdin"; /* Name of input source */
-    char *outFname = "stdout";  /* Name of output destination */
+    const char *inFname = "stdin"; /* Name of input source */
+    const char *outFname = "stdout";  /* Name of output destination */
     char *Label;             /* Names of input coordinates */
     char Tail[4096] = {0};   /* Rest of input line beyond coords */
     FILE *inPtr = stdin;     /* Pointer to input */
@@ -231,7 +231,7 @@
     }
 
 /* * * * * Filter Data * * * * */
-    Label = Invert ? "DHV" : "XYZ";
+    Label = Invert ? (char *)"DHV" : (char *)"XYZ";
 
     while ((Ch = fpeek(inPtr)) != EOF) {
 /* Read U1, V1, and W1 of next point in input frame of reference */
Index: src/util/pl-ps.c
===================================================================
--- src/util/pl-ps.c	(revision 54124)
+++ src/util/pl-ps.c	(working copy)
@@ -45,7 +45,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
 };
 struct uplot uerror = { 0, 0, 0 };
 struct uplot letters[] = {
@@ -390,7 +390,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "[stdin]";
+	file_name = (char *)"[stdin]";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/bwrot.c
===================================================================
--- src/util/bwrot.c	(revision 54124)
+++ src/util/bwrot.c	(working copy)
@@ -108,7 +108,7 @@
 		*angle = atof(bu_optarg);
 		break;
 	    case 'o':
-		out_file_name = bu_optarg;
+		out_file_name = (char *)bu_optarg;
 		*ofp = fopen(out_file_name, "wb+");
 		if (*ofp == NULL) {
 		    bu_log("ERROR: %s cannot open \"%s\" for writing\n", bu_getprogname(), out_file_name);
@@ -129,7 +129,7 @@
     }
 
     if (bu_optind >= argc) {
-	in_file_name = "-";
+	in_file_name = (char *)"-";
     } else {
 	in_file_name = argv[bu_optind];
     }
Index: misc/CMake/CompilerFlags.cmake
===================================================================
--- misc/CMake/CompilerFlags.cmake	(revision 54124)
+++ misc/CMake/CompilerFlags.cmake	(working copy)
@@ -265,6 +265,9 @@
 BRLCAD_CHECK_C_FLAG(Qunused-arguments)
 BRLCAD_CHECK_CXX_FLAG(Qunused-arguments)
 
+BRLCAD_CHECK_C_FLAG(Wwrite-strings) 
+BRLCAD_CHECK_CXX_FLAG(Wwrite-strings)
+
 # 64bit compilation flags
 if(${CMAKE_WORD_SIZE} MATCHES "64BIT")
   BRLCAD_CHECK_C_FLAG(m64 VARS 64BIT_FLAG)
